package model;

import java.util.Stack;

/**
 * Models the history of all the card groups 
 * played during a turn, and the ID of 
 * the players who played them.
 * Immutable. 
 */
public class TurnHistory implements Iterable<Play>
{	
	/**
	 * Initializes the list of plays in the history.
	 * @param plays The plays to add.
	 */
	public TurnHistory(Stack<Play> plays)
	{}
	
	/**
	 * @return The last play in the history.
	 */
	public Play getLastPlay()
	{}
	
	/**
	 * @return The number of Plays in this play history.
	 */
	public int size()
	{}
}
